clf('reset');   
figure(1)
H = 1;
% boxplot(rhopost(:,1:10),'labels',{'1' '2' '3' '4' '5' '6' '7' '8' '9' '10'});
% boxplot(rhoMat(:,1:20),'labels',{'1' '2' '3' '4' '5' '6' '7' '8' '9' '10' '11' '12' '13' '14' '15' '16' '17' '18' '19' '20' });
% boxplot(rhoMat,'labels',{'1' '2' '3' '4' '5' '6' '7' '8' '9' '10' '11' '12' '13'});
keep = find(gamprob>.8);
rhoKeep = rhoMat(:,keep);
labs = num2str(keep);
boxplot(rhoKeep,'labels',{labs});
xlabel('Predictor','FontSize',12);
ylabel(' ');
title('\bf{(b) Posterior Samples of \rho_{k}}','fontsize',14);
hline(H,'g');
%line([-1 0 1 2 3 4 5 6],[H H H H H H H H],'Color','g','LineStyle','--') 
   
figure(2)
autocorr(rhoMat(:,6),100,[],0);
xlabel('Lags','FontSize',12);
ylabel(' ');
title('\bf{Autocorrelation for \rho_{6}}','fontsize',14);

figure(3)
fh = figure(3); % returns the handle to the figure object
set(fh, 'color', 'white'); % sets the color to white 
h1 = plot(1:L,gamprob,'r','Linestyle','--','LineWidth',2,'Color','Blue');
set(h1, 'Marker', 'pentagram', 'MarkerFaceColor', [0 1 1], 'MarkerEdgeColor', [0 0 1], 'MarkerSize', 8.0);
%hold on;
hline(boundary,'g');
%hold off;
xlabel('Variable Selection Parameters: \gamma_{1} \ldots \gamma_{20}','fontsize',12);
ylabel('P(\gamma_{k} = 1 | D)','fontsize',12);
axis([1 20 0 1.001]);
textstrgam= ['\bf{Selected Predictors, \gamma_{k} , based on EFDR =  }',num2str(round(EFDRgam*100)/100,2)];
title(textstrgam,'fontsize',12);

figure(4)
runs = length(sigc);
plot(1:runs,sigc(:),'r');
xlabel('Iteration');
ylabel('Sampled value for \lambda_{a}');
title('\it{ MCMC sample run of \lambda_{a}}','fontsize',12);

figure(5)
plot(1:runs,r(:),'r');
xlabel('Iteration','fontsize',12);
ylabel('Sampled value for r','fontsize',12);
title('\bf{MCMC sample run of r}','fontsize',14);

figure(6)
plot(1:runs,lambdaz(:),'r');
xlabel('Iteration');
ylabel('Sampled value for \lambda_{z}');
title('\it{ MCMC sample run of \lambda_{z}}','fontsize',12);

figure(7)
plot(1:runs,zeta(:),'r');
xlabel('Iteration');
ylabel('Sampled value for \alpha');
title('\it{Post burn-in Sampling Chain for \alpha:  \gamma_{k}\sim Bern(\alpha)}','fontsize',12);

